Bug 109399 - [iOS] Enable PAGE_VISIBILITY_API
Summary: [iOS] Enable PAGE_VISIBILITY_API
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-10 21:36 PST by Joseph Pecoraro
Modified: 2013-02-12 18:15 PST (History)
4 users (show)

See Also:


Attachments
[PATCH] Proposed Fix (5.79 KB, patch)
2013-02-10 21:38 PST, Joseph Pecoraro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2013-02-10 21:36:06 PST
Enable the PageVisibility API for iOS (all Mac ports now)
Comment 1 Joseph Pecoraro 2013-02-10 21:38:32 PST
Created attachment 187512 [details]
[PATCH] Proposed Fix
Comment 2 Build Bot 2013-02-11 03:10:12 PST
Comment on attachment 187512 [details]
[PATCH] Proposed Fix

Attachment 187512 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://queues.webkit.org/results/16494137

New failing tests:
compositing/checkerboard.html
accessibility/anchor-linked-anonymous-block-crash.html
http/tests/cache/cancel-multiple-post-xhrs.html
animations/3d/state-at-end-event-transform.html
animations/3d/replace-filling-transform.html
http/tests/cache/history-only-cached-subresource-loads.html
compositing/bounds-in-flipped-writing-mode.html
accessibility/accessibility-node-reparent.html
animations/animation-border-overflow.html
accessibility/accessibility-object-detached.html
accessibility/anonymous-render-block-in-continuation-causes-crash.html
animations/animation-controller-drt-api.html
compositing/absolute-position-changed-with-composited-parent-layer.html
compositing/absolute-position-changed-in-composited-layer.html
http/tests/cache/iframe-304-crash.html
animations/3d/transform-perspective.html
http/tests/cache/cancel-during-failure-crash.html
canvas/philip/tests/2d.clearRect+fillRect.alpha0.5.html
canvas/philip/tests/2d.clearRect.basic.html
animations/3d/transform-origin-vs-functions.html
animations/animation-css-rule-types.html
canvas/philip/tests/2d.clearRect+fillRect.basic.html
canvas/philip/tests/2d.clearRect+fillRect.alpha0.html
Comment 3 David Kilzer (:ddkilzer) 2013-02-12 17:30:58 PST
Comment on attachment 187512 [details]
[PATCH] Proposed Fix

r=me

Don't believe the mac-wk2 EWS lies!
Comment 4 WebKit Review Bot 2013-02-12 18:15:29 PST
Comment on attachment 187512 [details]
[PATCH] Proposed Fix

Clearing flags on attachment: 187512

Committed r142701: <http://trac.webkit.org/changeset/142701>
Comment 5 WebKit Review Bot 2013-02-12 18:15:32 PST
All reviewed patches have been landed.  Closing bug.